<?php
/*
Plugin Name: Page Excerpts for WordPress Three
Description: Adds support for page excerpts in the WordPress 3.0+ way.
Author: Adam Harley
Author URI: http://adamharley.co.uk
Plugin URI: http://adamharley.co.uk/wordpress-plugins/page-excerpts-for-wordpress-three/
Version: 1.0
*/

function excerpts_for_pages() {
	global $_wp_post_type_features;

	if ( isset( $_wp_post_type_features['page'] ) )
		$_wp_post_type_features['page']['excerpt'] = true;
}

add_action( 'init', 'excerpts_for_pages', 1 );